import request from '@/utils/request'

// 查询短信验证码列表
export function listSmsVerify(query) {
  return request({
    url: '/cai/smsVerify/list',
    method: 'get',
    params: query
  })
}

// 查询短信验证码详细
export function getSmsVerify(id) {
  return request({
    url: '/cai/smsVerify/' + id,
    method: 'get'
  })
}

// 新增短信验证码
export function addSmsVerify(data) {
  return request({
    url: '/cai/smsVerify',
    method: 'post',
    data: data
  })
}

// 修改短信验证码
export function updateSmsVerify(data) {
  return request({
    url: '/cai/smsVerify',
    method: 'put',
    data: data
  })
}

// 删除短信验证码
export function delSmsVerify(id) {
  return request({
    url: '/cai/smsVerify/' + id,
    method: 'delete'
  })
}
